| Flutter Linux Embedder |

Functions
fl_mouse_cursor_handler.h File Reference
`#include <gdk/gdk.h>`
`#include "flutter/shell/platform/linux/public/flutter_linux/fl_binary_messenger.h"`

Go to the source code of this file.

## Functions
G_BEGIN_DECLS | G_DECLARE_FINAL_TYPE (FlMouseCursorHandler, fl_mouse_cursor_handler, FL, MOUSE_CURSOR_HANDLER, GObject)
FlMouseCursorHandler * | fl_mouse_cursor_handler_new (FlBinaryMessenger *messenger)
const gchar * | fl_mouse_cursor_handler_get_cursor_name (FlMouseCursorHandler *handler)

## Function Documentation

## ◆ fl_mouse_cursor_handler_get_cursor_name()

const gchar* fl_mouse_cursor_handler_get_cursor_name | ( | FlMouseCursorHandler * | handler | ) |

fl_mouse_cursor_handler_get_cursor_name: @handler: an #FlMouseCursorHandler.

Get the name of the current mouse cursor.

Returns: a mouse cursor name.

Definition at line 147 of file fl_mouse_cursor_handler.cc.

148 {
149 g_return_val_if_fail(FL_IS_MOUSE_CURSOR_HANDLER(self), nullptr);
150 return self->cursor_name;
151 }

Referenced by cursor_changed_cb().

## ◆ fl_mouse_cursor_handler_new()

FlMouseCursorHandler* fl_mouse_cursor_handler_new | ( | FlBinaryMessenger * | messenger | ) |

FlMouseCursorHandler:

#FlMouseCursorHandler is a mouse_cursor channel that implements the shell side of SystemChannels.mouseCursor from the Flutter services library. fl_mouse_cursor_handler_new: @messenger: an #FlBinaryMessenger.

Creates a new handler that implements SystemChannels.mouseCursor from the Flutter services library.

Returns: a new #FlMouseCursorHandler.

Definition at line 134 of file fl_mouse_cursor_handler.cc.

135 {
136 g_return_val_if_fail(FL_IS_BINARY_MESSENGER(messenger), nullptr);
137
138 FlMouseCursorHandler* self = FL_MOUSE_CURSOR_HANDLER(
139 g_object_new(fl_mouse_cursor_handler_get_type(), nullptr));
140
141 self->channel =
142 fl_mouse_cursor_channel_new(messenger, &mouse_cursor_vtable, self);
143
144 return self;
145 }
fl_mouse_cursor_channel_new
FlMouseCursorChannel * fl_mouse_cursor_channel_new(FlBinaryMessenger *messenger, FlMouseCursorChannelVTable *vtable, gpointer user_data)
Definition: fl_mouse_cursor_channel.cc:85
mouse_cursor_vtable
static FlMouseCursorChannelVTable mouse_cursor_vtable
Definition: fl_mouse_cursor_handler.cc:130

References fl_mouse_cursor_channel_new(), and mouse_cursor_vtable.

Referenced by fl_engine_new_full().

## ◆ G_DECLARE_FINAL_TYPE()

G_BEGIN_DECLS G_DECLARE_FINAL_TYPE | ( | FlMouseCursorHandler | ,
|  | fl_mouse_cursor_handler | ,
|  | FL | ,
|  | MOUSE_CURSOR_HANDLER | ,
|  | GObject |
| ) |  |